Home

# Class goog.testing.fs.Entry

A mock filesystem entry object.

Instance Method Summary
| `checkNotDeleted(string action) ⇒ !goog.async.Deferred` Return a deferred that will call its errback if this entry has been deleted. In addition, the deferred will only run after a timeout of 0, and all its callbacks will run with the entry as "this".
| `clone() ⇒ !goog.testing.fs.Entry`
| `copyTo(!goog.testing.fs.DirectoryEntry parent, string= opt_newName) ⇒ !goog.async.Deferred`
| `getFileSystem() ⇒ !goog.testing.fs.FileSystem`
| `getFullPath() ⇒ string`
| `getLastModified() ⇒ !goog.async.Deferred`
| `getName() ⇒ string`
| `getParent() ⇒ !goog.async.Deferred`
| `isDirectory() ⇒ boolean`
| `isFile() ⇒ boolean`
| `moveTo(!goog.testing.fs.DirectoryEntry parent, string= opt_newName) ⇒ !goog.async.Deferred`
| `remove() ⇒ !goog.async.Deferred`
| `toUrl() ⇒ string`